' ---------------------------------------------------------------------------------------
'
' Stanze.VB                                                        Ulrich Mller 02.06.02
'                                                                  PCS1700   VB.NET Final
' Stanzmaschine mit Transportband No. 51 663
' mit FishFa30.DLL (C#) auf Basis von umFish30.DLL
'
' ---------------------------------------------------------------------------------------

Imports FishFa30
Public Class frmStanze
    Inherits System.Windows.Forms.Form

#Region " Vom Windows Form Designer generierter Code "

    Public Sub New()
        MyBase.New()

        InitializeComponent()
        cboPortName.SelectedIndex = 1

    End Sub

    ' Die Form berschreibt den Lschvorgang der Basisklasse, um Komponenten zu bereinigen.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Fr Windows Form-Designer erforderlich
    Private components As System.ComponentModel.IContainer

    'HINWEIS: Die folgende Prozedur ist fr den Windows Form-Designer erforderlich
    'Sie kann mit dem Windows Form-Designer modifiziert werden.
    'Verwenden Sie nicht den Code-Editor zur Bearbeitung.
    Friend WithEvents PictureBox1 As System.Windows.Forms.PictureBox
    Friend WithEvents PictureBox2 As System.Windows.Forms.PictureBox
    Friend WithEvents lblStatus As System.Windows.Forms.Label
    Friend WithEvents cmdEnde As System.Windows.Forms.Button
    Friend WithEvents cmdAction As System.Windows.Forms.Button
    Friend WithEvents cboPortName As System.Windows.Forms.ComboBox
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(frmStanze))
        Me.PictureBox1 = New System.Windows.Forms.PictureBox()
        Me.PictureBox2 = New System.Windows.Forms.PictureBox()
        Me.lblStatus = New System.Windows.Forms.Label()
        Me.cmdEnde = New System.Windows.Forms.Button()
        Me.cmdAction = New System.Windows.Forms.Button()
        Me.cboPortName = New System.Windows.Forms.ComboBox()
        Me.SuspendLayout()
        '
        'PictureBox1
        '
        Me.PictureBox1.Image = CType(resources.GetObject("PictureBox1.Image"), System.Drawing.Bitmap)
        Me.PictureBox1.Location = New System.Drawing.Point(32, 32)
        Me.PictureBox1.Name = "PictureBox1"
        Me.PictureBox1.Size = New System.Drawing.Size(443, 369)
        Me.PictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize
        Me.PictureBox1.TabIndex = 0
        Me.PictureBox1.TabStop = False
        '
        'PictureBox2
        '
        Me.PictureBox2.Image = CType(resources.GetObject("PictureBox2.Image"), System.Drawing.Bitmap)
        Me.PictureBox2.Location = New System.Drawing.Point(608, 32)
        Me.PictureBox2.Name = "PictureBox2"
        Me.PictureBox2.Size = New System.Drawing.Size(32, 32)
        Me.PictureBox2.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize
        Me.PictureBox2.TabIndex = 1
        Me.PictureBox2.TabStop = False
        '
        'lblStatus
        '
        Me.lblStatus.Location = New System.Drawing.Point(504, 264)
        Me.lblStatus.Name = "lblStatus"
        Me.lblStatus.Size = New System.Drawing.Size(152, 24)
        Me.lblStatus.TabIndex = 5
        Me.lblStatus.Text = "START/ENDE"
        Me.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'cmdEnde
        '
        Me.cmdEnde.Location = New System.Drawing.Point(536, 328)
        Me.cmdEnde.Name = "cmdEnde"
        Me.cmdEnde.Size = New System.Drawing.Size(104, 32)
        Me.cmdEnde.TabIndex = 3
        Me.cmdEnde.Text = "&ENDE"
        '
        'cmdAction
        '
        Me.cmdAction.Location = New System.Drawing.Point(536, 368)
        Me.cmdAction.Name = "cmdAction"
        Me.cmdAction.Size = New System.Drawing.Size(104, 32)
        Me.cmdAction.TabIndex = 4
        Me.cmdAction.Text = "&START"
        '
        'cboPortName
        '
        Me.cboPortName.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboPortName.Items.AddRange(New Object() {"LPT", "COM1", "COM2", "COM3", "COM4"})
        Me.cboPortName.Location = New System.Drawing.Point(536, 296)
        Me.cboPortName.Name = "cboPortName"
        Me.cboPortName.Size = New System.Drawing.Size(104, 21)
        Me.cboPortName.TabIndex = 2
        '
        'frmStanze
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(672, 437)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.lblStatus, Me.PictureBox2, Me.PictureBox1, Me.cmdEnde, Me.cmdAction, Me.cboPortName})
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.Name = "frmStanze"
        Me.Text = "Stanzmaschine mit Transportband No. 51 663"
        Me.ResumeLayout(False)

    End Sub

#End Region

    Dim ft As New FishFace()

    Const mBand% = 1, cbVor% = 1, cbRuck% = 2
    Const ePhotoV% = 1, ePhotoS% = 2, mLampen% = 3
    Const mStanze% = 2, eOben% = 3, eUnten% = 4, csAb% = 1, csAuf% = 2
    Const ftiAus% = 0, ftiEin% = 1

    Private Sub Action()
        ft.ClearMotors()
        ft.SetMotor(mStanze, csAuf)
        ft.WaitForInput(eOben)
        ft.SetMotor(mStanze, ftiAus)
        ft.SetMotor(mLampen, ftiEin)
        Do
            lblStatus.Text = "Wartet"
            ft.WaitForLow(ePhotoV)
            ft.Pause(500)

            lblStatus.Text = "Zur Stanze"
            ft.SetMotor(mBand, cbVor)
            ft.WaitForLow(ePhotoS)
            ft.SetMotor(mBand, ftiAus)

            lblStatus.Text = "Stanzen"
            ft.SetMotor(mStanze, csAb)
            ft.WaitForInput(eUnten)
            ft.SetMotor(mStanze, ftiAus)
            ft.Pause(1000)
            ft.SetMotor(mStanze, csAuf)
            ft.WaitForInput(eOben)
            ft.SetMotor(mStanze, ftiAus)

            lblStatus.Text = "Zurck"
            ft.SetMotor(mBand, cbRuck)
            ft.WaitForInput(ePhotoV, False)
            ft.Pause(300)
            ft.SetMotor(mBand, ftiAus)
        Loop Until ft.Finish()
    End Sub

    Private Sub frmStanze_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        If cmdEnde.Text = "&HALT" Then e.Cancel = True
    End Sub

    Private Sub cmdEnde_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdEnde.Click
        If cmdEnde.Text = "&HALT" Then ft.NotHalt = True Else Close()
    End Sub

    Private Sub cmdAction_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdAction.Click
        Try
            ft.OpenInterface(cboPortName.SelectedIndex)
            cmdAction.Enabled = False
            cmdEnde.Text = "&HALT"
            lblStatus.Text = "luft"
            cmdEnde.Focus()

            Action()

            ft.ClearMotors()
            lblStatus.Text = "START/ENDE"
            ft.CloseInterface()
        Catch eft As FishFaceException
            lblStatus.Text = eft.Message
            ft.NotHalt = True
        Finally
            cmdAction.Enabled = True
            cmdEnde.Text = "&ENDE"
        End Try


    End Sub
End Class
